interface LabelValue {
  value: number | string;
  label: string;
}

function getLabelByValue<T extends LabelValue>(value: number | string, list: T[], msg: T | null) {
  let result = msg ? msg : "未知";
  for (let i = 0; i < list.length; i++) {
    let item = list[i];
    if (item.value === value) {
      result = item.label;
      break;
    }
  }
  return result;
}

export default getLabelByValue;
